package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceOption;
import cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceRecord;
import cn.com.ty.lift.business.maintenance.dao.entity.MtRecordImg;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Collection;
import java.util.List;

/**
 * <p>保养信息返回体</p>
 * @author wcz
 * @since  2020/1/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtRecordResponse extends MaintenanceRecord {

    /**
     * 项目名
     */
    private String projectName;
    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 项目地址
     */
    private String projectAddress;

    /**
     * 维保公司名
     */
    private String mtCompanyName;

    /**
     * 单位设备编号
     */
    private String useCompanyCode;
    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     */
    private Integer category;

    /**
     * 注册代码
     */
    private String registrationCode;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 维保工
     */
    private String workerName;

    /**
     * 维保工手机号
     */
    private String workerMobile;

    /**
     * 保养时长分钟数
     */
    private int repairDiff;

    private String repairDuration;

    /**
     * 计划保养时间
     */
    private LocalDate planDate;

    /**
     * 实际保养时间
     */
    private LocalDateTime workDate;

    private Integer starLevel;

    /**
     * 保养建议
     */
    private String maintenanceAdvice;

    /**
     * 维保时长String类型
     */
    private String typeStr;

    /**
     * 是否有评价String类型
     */
    private String hasEvaluateStr;
    /**
     * 电梯类型String类型
     */
    private String categoryStr;

    private Collection<MaintenanceOption> mtOptions;

    private List<MtRecordImg> mtRecordImgs;

    private Evaluation evaluation;
}
