package cn.com.ty.lift.system.settings.dao.entity.model;

import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 认证企业
 */
@Data
public class ConfirmCompanyResponse {
    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 认证时间
     */
    private LocalDateTime confirmTime;

    /**
     * 团队人数
     */
    private Long teamNum = 0L;

    /**
     * 项目数
     */
    private Long projectNum = 0L;

    /**
     * 总台量
     */
    private Long totalLiftNum = 0L;

    /**
     * 限制台量
     */
    private Integer limitedNum = 0;

    /**
     * 活跃台量
     */
    private Long activeLiftNum = 0L;

    /**
     * 停止服务台量
     */
    private Long stopLiftNum = 0L;

    /**
     * 维保次数
     */
    private Long maintenanceNum = 0L;

    /**
     * 急修次数
     */
    private Long emergencyNum = 0L;

    /**
     * 最后活跃时间
     */
    private LocalDateTime lastActiveTime;

    public ConfirmCompanyResponse(){}

    public ConfirmCompanyResponse(MaintenanceCompany maintenanceCompany){
        this.companyName = maintenanceCompany.getName();
        this.limitedNum = maintenanceCompany.getLimitedNum();
        this.teamNum = Long.valueOf(maintenanceCompany.getUserNum());
    }
}
